import { createApp } from 'vue';
import App from './App.vue';
// 引入 tailwind.css 一定要写在所有其它样式之前
import './styles/tailwind.css';
import store from './store';
import router from './router';
import permission from './utils/permission';
import DictData from '@/components/DictData/index.vue';
import installer from './as-needed';
import 'element-plus/theme-chalk/display.css';
import 'ele-admin-plus/es/style/nprogress.scss';
import './styles/themes/dark.scss';
import './styles/index.scss';
import request from '@/utils/request';

// 图片预览
import Viewer from 'v-viewer';
import 'viewerjs/dist/viewer.css';

const app = createApp(App);
app.config.globalProperties.$http = request;

app.use(Viewer);
app.use(store);
app.use(router);
app.use(permission);
app.use(installer);
app.component('DictData', DictData);

app.mount('#app');
